import { Signer, ContractFactory, Overrides } from "ethers";
import type { Provider, TransactionRequest } from "@ethersproject/providers";
import type { PermissionsInit, PermissionsInitInterface } from "../PermissionsInit.js";
type PermissionsInitConstructorParams = [signer?: Signer] | ConstructorParameters<typeof ContractFactory>;
export declare class PermissionsInit__factory extends ContractFactory {
    constructor(...args: PermissionsInitConstructorParams);
    deploy(overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<PermissionsInit>;
    getDeployTransaction(overrides?: Overrides & {
        from?: string | Promise<string>;
    }): TransactionRequest;
    attach(address: string): PermissionsInit;
    connect(signer: Signer): PermissionsInit__factory;
    static readonly bytecode = "0x6080604052348015600f57600080fd5b50603f80601d6000396000f3fe6080604052600080fdfea2646970667358221220f058c6ad29a5e9de27ea71c885b9397901ffd20ac2ad327720c13e5b26cb955b64736f6c63430008170033";
    static readonly abi: {
        type: string;
        name: string;
        inputs: {
            name: string;
            type: string;
            indexed: boolean;
            internalType: string;
        }[];
        anonymous: boolean;
    }[];
    static createInterface(): PermissionsInitInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): PermissionsInit;
}
export {};
//# sourceMappingURL=PermissionsInit__factory.d.ts.map